%define svnrev 3930
%define nm_version 0.7.0-alt3.svn.r%svnrev

Name: NetworkManager-openvpn
Version: 0.7.0
Release: alt2.svn.r%svnrev.M41.3
License: GPL v2 or later
Group: System/Configuration/Networking
Summary: NetworkManager VPN support for OpenVPN
Url: http://www.gnome.org/projects/NetworkManager
Packager: Mikhail Efremov <sem@altlinux.org>
Source0: %name-%version.tar.gz
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires: gtk2             >= 2.10.0
Requires: dbus             >= 1.1
Requires: NetworkManager   >= %nm_version
Requires: openvpn          >= 2.0
Requires: shared-mime-info >= 0.16
Requires: GConf2
Requires: gnome-keyring

BuildPreReq: desktop-file-utils

# Automatically added by buildreq on Fri May 16 2008
BuildRequires: libgnome-keyring-devel libgnomeui-devel perl-XML-Parser

BuildRequires: intltool libglade2-devel
BuildRequires: NetworkManager-devel >= %nm_version
BuildRequires: NetworkManager-glib-devel >= %nm_version

%description
NetworkManager-openvpn provides VPN support to NetworkManager for
OpenVPN.

%prep
%setup -q -n %{name}-%{version}

%build
%configure \
	--disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install
%find_lang %name

%post
%post_ldconfig
%update_desktopdb
touch --no-create %_datadir/icons/hicolor
if [ -x %_bindir/gtk-update-icon-cache ]; then
      %_bindir/gtk-update-icon-cache --quiet %_datadir/icons/hicolor || :
fi
if /sbin/service messagebus status &>/dev/null; then
dbus-send --system --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig &>/dev/null ||:
else
echo "NetworkManager-openvpn requires running messagebus service." >&2
fi

%postun
%post_ldconfig
%clean_desktopdb
touch --no-create %_datadir/icons/hicolor
if [ -x %_bindir/gtk-update-icon-cache ]; then
      %_bindir/gtk-update-icon-cache --quiet %_datadir/icons/hicolor || :
fi

%files -f %name.lang
%doc AUTHORS ChangeLog README
%_libexecdir/nm-openvpn-service
%_libexecdir/nm-openvpn-service-openvpn-helper
%dir %_sysconfdir/NetworkManager/VPN
%_sysconfdir/NetworkManager/VPN/nm-openvpn-service.name
%_sysconfdir/dbus-1/system.d/nm-openvpn-service.conf
%_libdir/NetworkManager/libnm-openvpn-properties.so*
%_libexecdir/nm-openvpn-auth-dialog
%_datadir/applications/nm-openvpn.desktop
%_datadir/gnome-vpn-properties
%_datadir/icons/hicolor/*/*/*.png

%exclude %_libdir/NetworkManager/*.la

%changelog
* Thu Sep 11 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7.0-alt2.svn.r3930.M41.3
- dependence to NetworkManager is less strict now 

* Mon Sep 08 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.7.0-alt2.svn.r3930.M41.2
- port to M41 

* Wed Aug 13 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt2.svn.r3930
- new svn snapshot
- BuildRequires updated
- %post updated: D-Bus config reload

* Tue Jul 22 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt2.svn20080722
- new svn snapshot (3842)

* Thu May 29 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt2.svn20080527
- spec fixed

* Wed May 28 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn20080527
- initial build

